<?php
include_once('./_common.php');

if (G5_IS_MOBILE) {
    include_once(G5_MSHOP_PATH.'/rcpcinquiry.php');
    return;
}

define("_ORDERINQUIRY_", true);

$od_id = oi_sql(oi_clean_id(isset($od_id) ? $od_id : ''));
$od_pwd = oi_sql(get_encrypt_string(oi_clean_text(isset($od_pwd) ? $od_pwd : '')));
$member_mb_id_esc = oi_sql(isset($member['mb_id']) ? $member['mb_id'] : '');

// 회원인 경우
if ($is_member)
{
    $sql_common = " from {$g5['g5_shop_order_table']} where mb_id = '{$member_mb_id_esc}' and (od_status = '입금' or od_status = '배송' or od_status = '완료' or od_status = '확정') ";
}
else if ($od_id && $od_pwd) // 비회원인 경우 주문번호와 비밀번호가 넘어왔다면
{
    $sql_common = " from {$g5['g5_shop_order_table']} where od_id = '$od_id' and od_pwd = '$od_pwd' and (od_status = '입금' or od_status = '배송' or od_status = '완료' or od_status = '확정') ";
}
else // 그렇지 않다면 로그인으로 가기
{
    goto_url(G5_BBS_URL.'/login.php?url='.urlencode(G5_SHOP_URL.'/rcpcinquiry.php'));
}

// 테이블의 전체 레코드수만 얻음
$sql = " select count(*) as cnt " . $sql_common;
$row = sql_fetch($sql);
$total_count = $row['cnt'];

// 비회원 주문확인시 비회원의 모든 주문이 다 출력되는 오류 수정
// 조건에 맞는 주문서가 없다면
if ($total_count == 0)
{
    if ($is_member) // 회원일 경우는 메인으로 이동
        alert('주문이 존재하지 않습니다.', G5_SHOP_URL . "/mypage.php");
    else // 비회원일 경우는 이전 페이지로 이동
        alert('주문이 존재하지 않습니다.');
}

//$rows = $config['cf_page_rows'];
$rows = 9999999; // 한 페이지에 표시되는 갯수 (변수가 잘못 된거 같음. 우선 임시 조치해 두었음. 다시 코딩 필요함)
$total_page  = ceil($total_count / $rows);  // 전체 페이지 계산
if ($page < 1) { $page = 1; } // 페이지가 없으면 첫 페이지 (1 페이지)
$from_record = ($page - 1) * $rows; // 시작 열을 구함


// 비회원 주문확인의 경우 바로 주문서 상세조회로 이동
if (!$is_member)
{
    $sql = " select od_id, od_time, od_ip from {$g5['g5_shop_order_table']} where od_id = '$od_id' and od_pwd = '$od_pwd' and (od_status = '입금' or od_status = '배송' or od_status = '완료' or od_status = '확정') ";
    $row = sql_fetch($sql);
    if ($row['od_id']) {
        $uid = md5($row['od_id'].$row['od_time'].$row['od_ip']);
        set_session('ss_orderview_uid', $uid);
        goto_url(G5_SHOP_URL.'/orderinquiryview.php?od_id='.$row['od_id'].'&amp;uid='.$uid);
    }
}


$g5['title'] = '<i class="fa fa-play-circle" aria-hidden="true" style="zoom:1.2; color:#6699ff;"></i> 렌탈PC 내역 【이용중】';



/* onclick="mypagercmd(&quot;$this_no&quot;, &quot;$encrypt_str&quot;, &quot;rtextdate&quot;);" */


include_once('./_head.php');

$select_ext_checkbox_button = '<i class="fa fa-credit-card" aria-hidden="true" style="zoom:1.3; color:#6699ff; padding:2px 2px 2px;"></i>선택항목 전부&nbsp;'.'<select id="extMonth" name="extMonth"><option value="1">1개월</option><option value="2">2개월</option><option value="3">3개월</option></select>&nbsp;기간연장' . '&nbsp;<button onclick="getCheckboxSelNoList();">적용</button>';

echo '<div style="display:flex; justify-content:flex-end; align-items:center; font-size:0.8rem; position:relative; top:-10px;">' . $select_ext_checkbox_button . '</div>'

?>

<?php $encrypt_rtextdatelist_str = Encrypt("rtextdatelist" . "Œ" . time() . "Œ" . $this_no  . "Œ" . $member['mb_id'] . date("iHs")); ?>
<script>
function getCheckboxSelNoList()  {
	// 선택된 목록 가져오기
	const query = 'input[name="selno"]:checked';
	const selectedEls =
		document.querySelectorAll(query);

	// 선택된 목록에서 value 찾기
	let result = '';
	selectedEls.forEach((el) => {
		result += el.value + ' ';
	});

	// 처리
	if (result=="") {
		alert("연장하실 렌탈PC 품번을 하나 이상 선택하십시오.");
	} else {
		mypagercmd(result, '<?php echo $encrypt_rtextdatelist_str?>', 'rtextdatelist');
	}
}

</script>

<!-- 주문 내역 시작 { -->
<div id="sod_v">

    <?php
    $limit = " limit $from_record, $rows ";
    include "./rcpcinquiry.sub.php";
    ?>

    <?php echo get_paging($config['cf_write_pages'], $page, $total_page, "{$_SERVER['SCRIPT_NAME']}?$qstr&amp;page="); ?>
</div>
<!-- } 주문 내역 끝 -->

<?php
include_once('./_tail.php');
?>

<div id="loadingBar">
    <div id="loadingBarMsgDiv">
        <div id="loadingBarMsg">
            <div id="loadingBarSpinner"></div>
            장바구니가 나타날 때까지 잠시만 기다려 주십시오.<br>선택 항목 갯수가 많은 경우 1분 이상 소요될 수 있습니다.
        </div>
    </div>
</div>
<style>
    #loadingBar {
        display: none;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        position: fixed;
        top: 0;
        left: 0;
        transition: width 0.3s ease;
        z-index: 9999999;
    }

    #loadingBarMsgDiv {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 100%;
    }

    #loadingBarMsg {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 500px;
        height: 120px;
        background-color: rgba(0, 200, 200, 0.05);
        color: #ffffff;
        text-align: center;
        line-height: 2;
        position: relative;
    }

    #loadingBarSpinner {
        width: 100px;
        height: 100px;
        border-radius: 50%;
        border: 2px solid rgba(255,255,0,0.5);
        border-top: 2px solid transparent;
        animation: spin 1s linear infinite;
        position: absolute;
        top: 50%;
        left: 50%;
        margin-top: -50px;
        margin-left: -50px;
    }

    @keyframes spin {
        0% { transform: rotate(0deg); }
        100% { transform: rotate(360deg); }
    }
</style>
<script>
    function showLoading() {
        var loadingBar = $("#loadingBar");
        loadingBar.fadeIn(300);
    }
</script>